<template>
  <div class="cloud-solutions container">
    <h2 id='plans' class="base-title">{{ $t('title') }}</h2>
    <p class="cloud-solutions__subtitle">
      {{ $t('subtitle') }}
    </p>
    <div class="cloud-solutions__list">
      <solutions-item
        v-for="(item, key) in $t('list')"
        :key="key"
        :data="item"
      />
    </div>
    <div class="cloud-solutions__slider">
      <Flickity
        id="solutions-carousel"
        ref="flickity"
        :key="sliderKey"
        :options="flickityOptions"
      >
        <solutions-item
          v-for="(item, key) in $t('list')"
          :key="key"
          :data="item"
          class="cloud-solutions__slider-item"
        />
      </Flickity>
    </div>
    <p class="cloud-solutions__subtitle2">
      {{ $t('subtitle2') }}
    </p>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Solutions",
    "subtitle": "Join the ranks of crypto market leaders. Choose the ideal package to keep one step ahead of your rivals.",
    "subtitle2": "We offer a flexible software purchasing system. Add new features just when users and demand grow. Be sensitive to changes in the crypto market and stay the top leader.",
    "list":[
      {
        "img":"1",
        "name":"START",
        "subtitle":"",
        "text":[
          "Trading Core, trading platform, currency management system, security system, administrator control panel, support panel (ticket system)",
          "Two types of orders (market and limit)"
        ],
        "plan":"TBCC Cloud / START"
      },
      {
        "img":"2",
        "name":"CLOUD X",
        "subtitle":"All of the features of the \"START\" package, plus:",
        "text":[
          "Three additional order types (stop loss, take profit and trailing stop)",
          "Mass order cancel",
          "Market overview",
          "The ability to integrate BIP + Tokens, WAVES + Token"
        ],
        "plan":"TBCC Cloud / CLOUD X"
      },
      {
        "img":"3",
        "name":"PREMIUM",
        "subtitle":"All of the features of the \"CLOUD X\" package, plus:",
        "text":[
          "The ability to integrate BIP + Tokens, WAVES + Tokens",
          "Addition functionality and design on demand\n",
          "Technical support\n",
          "Work with exchange API\n",
          "Margin trading and orders",
          ""
        ],
        "plan":"TBCC Cloud / PREMIUM"
      }
    ]


  },
  "ch": {
    "title": "解决方案",
    "subtitle": "加入加密货币市场领导者的行列。选择理想的套餐，保持领先对手一步。",
    "subtitle2": "我们提供一个灵活的软件采购系统。就在用户和需求增长时增加新的功能。对加密货币市场的变化保持敏感，并保持最高领导地位",
    "list":[
      {
        "img":"1",
        "name":"START",
        "subtitle":"",
        "text":[
          "交易核心 交易平台 货币管理制度 安全系统 管理员控制面板 支持面板（票据系统）",
          "两种类型的订单（市场和限价）"
        ],
        "plan":"TBCC Cloud / START"
      },
      {
        "img":"2",
        "name":"CLOUD X",
        "subtitle":"START 套餐的所有期货，加上:",
        "text":[
          "三种额外的订单类型（止损、获利和追踪止损）。",
          "大批订单取消",
          "市场概况",
          "能够整合BIP + 代币、WAVES + 代币"
        ],
        "plan":"TBCC Cloud / CLOUD X"
      },
      {
        "img":"3",
        "name":"PREMIUM",
        "subtitle":"CLOUD X 套餐的所有期货，加上:",
        "text":[
          "能够整合BIP + 代币、WAVES + 代币",
          "按需增加功能和设计",
          "技术支持",
          "与交易所API合作",
          "保证金交易和订单",
          ""
        ],
        "plan":"TBCC Cloud / PREMIUM"
      }
    ]

  },
  "tur": {
    "title": "Solutions",
    "subtitle": "Join the ranks of crypto market leaders. Choose the ideal package to keep one step ahead of your rivals.",
    "subtitle2": "We offer a flexible software purchasing system. Add new features just when users and demand grow. Be sensitive to changes in the crypto market and stay the top leader.",
    "list":[
      {
        "img":"1",
        "name":"START",
        "subtitle":"",
        "text":[
          "Trading Core, trading platform, currency management system, security system, administrator control panel, support panel (ticket system)",
          "Two types of orders (market and limit)"
        ],
        "plan":"TBCC Cloud / START"
      },
      {
        "img":"2",
        "name":"CLOUD X",
        "subtitle":"All of the features of the \"START\" package, plus:",
        "text":[
          "Three additional order types (stop loss, take profit and trailing stop)",
          "Mass order cancel",
          "Market overview",
          "The ability to integrate BIP + Tokens, WAVES + Token"
        ],
        "plan":"TBCC Cloud / CLOUD X"
      },
      {
        "img":"3",
        "name":"PREMIUM",
        "subtitle":"All of the features of the \"CLOUD X\" package, plus:",
        "text":[
          "The ability to integrate BIP + Tokens, WAVES + Tokens",
          "Addition functionality and design on demand\n",
          "Technical support\n",
          "Work with exchange API\n",
          "Margin trading and orders",
          ""
        ],
        "plan":"TBCC Cloud / PREMIUM"
      }
    ]
  }
}
</i18n>

<script>
import SolutionsItem from './SolutionsItem'
export default {
  components: { SolutionsItem },

  data() {
    return {
      innerWidth: 0,
      sliderKey: 1,
    }
  },

  computed: {
    flickityOptions() {
      if( this.innerWidth > 767 && this.innerWidth < 1024) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 2,
          prevNextButtons: false,
        }
      }
      if(this.innerWidth <= 767) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 1,
          prevNextButtons: false,
        }
      }
      return {
        pageDots: true,
        wrapAround: false,
        groupCells: 3,
        prevNextButtons: false,
      }
    }
  },

  watch: {
    flickityOptions() {
      this.sliderKey += 1
    }
  },

  mounted() {
    this.setWidth();
    window.addEventListener('resize', this.setWidth);
  },

  methods: {
    setWidth() {
      this.innerWidth = window.innerWidth
    }
  }
}
</script>

<style lang="scss" scoped>
.base-title {
  margin: 0 0 40px;
  font-size: 36px;
  max-width: 520px;
  text-align: center;
  position: relative;
  z-index: 2;

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.cloud-solutions {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__subtitle {
    font-size: 18px;
    line-height: 28px;
    color: #6983ab;
    text-align: center;
    max-width: 590px;
    margin: 0 0 80px;

    @media(max-width: 767px) {
      max-width: 340px;
      font-size: 16px;
      line-height: 24px;
      margin: 0 0 40px;
    }
  }

  &__subtitle2 {
    font-size: 18px;
    line-height: 28px;
    color: #6983ab;
    text-align: center;
    max-width: 835px;
    margin: 0 0 70px;


    @media(max-width: 767px) {
      max-width: 340px;
      font-size: 16px;
      line-height: 24px;
    }
  }

  &__list {
    display: none;
    align-items: center;
    margin-bottom: 70px;

    @media (min-width: 1200px) {
      display: flex;
    }

    & > div:not(:last-child) {
      margin-right: 30px;
    }
  }

  &__list2 {
    display: none;
    align-items: center;
    margin-bottom: 70px;

    @media (min-width: 1200px) {
      display: flex;
    }

    & > div {
      min-height: 596px;
    }

    & > div:first-child::v-deep {
      padding: 35px 24px 32px;

      p {
        max-width: 300px;
      }
    }

    & > div:not(:last-child) {
      margin-right: 30px;
    }
  }

  &__slider {
    display: block;
    width: 100%;
    max-width: 380px;
    padding-bottom: 60px;

    @media (min-width: 768px) {
      max-width: 760px
    }

    @media (min-width: 1024px) {
      max-width: 100%
    }

    @media (min-width: 1200px) {
      display: none;
    }
  }

  &__slider-item {
    margin-right: 30px;
    width: calc((100% - 30px));
    max-width: 350px;

    @media (min-width: 768px) {
      width: calc((100% - 60px) / 2);
    }

    @media (min-width: 1024px) {
      width: calc((100% - 90px) / 3);
    }
  }
}
</style>

